I see a Spelling Mistake when shutting down/restarting

Bug #214860 reported by Catapult on 2008-04-09
22
Affects Status Importance Assigned to Milestone
network-manager (Ubuntu)
Low
Unassigned
Hardy
Low
Unassigned
Intrepid
Undecided
Unassigned
Jaunty
Low
Unassigned

Bug Description

Hello,
I can't do any coding, so my way of helping the Ubuntu community is reporting bugs that I find.

I noticed that when I shut down the computer (or reboot), I see some plain white text on a black background. I noticed a typo that begins with the line "Network Manager". I forget what it says now. I think the spelling error was with the word "Elimination". It was spelt "eliminiation".

I'm on Xubuntu 8.04 Hardy Heron Beta.

I hope this helps the community.

-------------
Actual error ( Edit by xtknight ) :

"termination" (correct) vs. "terminiation"

Catapult (ubunt2+launchpad) wrote :

If I've chosen wrong project/package/distribution, please excuse me.

xtknight (xt-knight) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better.

Is it possible for you to confirm the actual spelling error you see? This would make the bug easier to track down and fix. I do not see "eliminiation" in the network-manager package but I may be looking in the wrong package.

Additionally, you can look in the /var/log directory for a file called syslog. One of these or syslog.1, syslog.2,etc may contain the spelling error as they track what is printed when you shut down.
Running this might help you pinpoint it.

$ grep -i NetworkManager /var/log/* | less

xtknight (xt-knight) wrote :

Setting to incomplete until the spelling error is confirmed.

Changed in network-manager:
status: New → Incomplete
Catapult (ubunt2+launchpad) wrote :

Hi there.
I've been able to confirm spelling mistake.

--------------Spelling Mistake below----
<Info> NetworkManager: Caught terminiation signal

-------------Spelling Mistake above-------

Note the word "terminiation". It should be "termination".

Hope this helps.

Catapult (ubunt2+launchpad) wrote :

xtknight: using " grep -i NetworkManager /var/log/* | less", i find exact wording:

NetworkManager: <info> Caught terminiation signal

xtknight (xt-knight) wrote :

Thank you. I will work on this.

Changed in network-manager:
assignee: nobody → xt-knight
status: Incomplete → In Progress
description: updated
xtknight (xt-knight) wrote :

Doesn't seem to be a problem in GNOME SVN (the latest greatest GNOME) NetworkManager trunk. NetworkManager prints a different message now. So I have not sent it upstream.

However, I have provided a debdiff which should fix the problem. I am pretty sure that it does (unless this problem is somehow locale-specific), however, I would be grateful if you could test it. The new network-manager package is available on my PPA at https://launchpad.net/~xt-knight/+archive

If the deb isn't there immediately it should appear soon. You can install it by typing "sudo dpkg -i packagename.deb" after saving it.

Changed in network-manager:
assignee: xt-knight → nobody
status: In Progress → Confirmed
Daniel Holbach (dholbach) wrote :

Alexander: can you please take a look at it?

Catapult (ubunt2+launchpad) wrote :

Hello, ubuntu people,
What do i do now?

jc

xtknight (xt-knight) wrote :

Catapult: I am pretty sure this fixes the bug so you probably don't have to do anything. If you want and feel like it you can try and install the package (not sure if you have to reboot to get to see the message again). Maybe they'd be more compelled to upload it after confirmation. I really don't see any possibility that the patch would break anything else though.

Michael Rooney (mrooney) on 2008-05-03
Changed in network-manager:
importance: Undecided → Low
Alexander Sack (asac) wrote :

committed to development branch for intrepid.

Changed in network-manager:
status: Confirmed → Fix Committed
Alexander Sack (asac) wrote :

uploaded to intrepid. thanks for your contribution. Next time consider to provide a bzr branch instead of a debdiff ;)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager - 0.6.6-0ubuntu6

---------------
network-manager (0.6.6-0ubuntu6) intrepid; urgency=low

  * debian/patches/43_fix_termination_spelling_error.patch:
    - change "terminiation" to "termination". (LP: #214860)

 -- Andy Matteson <email address hidden> Wed, 09 Apr 2008 21:06:30 -0400

Changed in network-manager:
status: Fix Committed → Fix Released
David Wilson (mcs6502) wrote :

You might like to apply the same fix to Ubuntu 8.04 LTS as well. Here is the output from an 8.04.2 box I installed this week.

 * Terminating all remaining processes...
NetworkManager: <WARN> nm_signal_handler(): Caught signal 15, shutting down normally.
NetworkManager: <info> Caught terminiation signal

On Thu, Feb 05, 2009 at 04:47:50AM -0000, David Wilson wrote:
> You might like to apply the same fix to Ubuntu 8.04 LTS as well. Here is
> the output from an 8.04.2 box I installed this week.
>
> * Terminating all remaining processes...
> NetworkManager: <WARN> nm_signal_handler(): Caught signal 15, shutting down normally.
> NetworkManager: <info> Caught terminiation signal
>

 status triaged
 importance low

 - Alexander

Alexander Sack (asac) on 2009-02-07
Changed in network-manager:
status: Fix Released → Triaged
Sebastien Bacher (seb128) wrote :

is that change really worth a sru update, could you either upload or decline the bug or unsubscribe the sponsor team now?

Alexander Sack (asac) wrote :

not an issue in jaunty

Changed in network-manager:
status: Triaged → Invalid
Alexander Sack (asac) wrote :

not intrepid either.

Changed in network-manager:
status: New → Invalid
Alexander Sack (asac) wrote :

fix committed on hardy branch

Committed revision 122.

Doesnt justify an SRU on their own, but in case we do another one this will happen too.

Changed in network-manager:
importance: Undecided → Low
status: New → Fix Committed
Martin Pitt (pitti) wrote :

Accepted into hardy-proposed; please test and give feedback here. Please see https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Steve Beattie (sbeattie) wrote :

I can confirm that the version of network-manager in hardy-proposed, 0.6.6-0ubuntu5.8.04.2, fixes the typo that existed in prior versions of network-manager. network-manager continues to function as well, at least in the simple case of configuring network interfaces within a virtualbox environment (i.e. no wireless). Marking verification-done.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager - 0.6.6-0ubuntu5.8.04.2

---------------
network-manager (0.6.6-0ubuntu5.8.04.2) hardy-proposed; urgency=low

  [ Andy Matteson <email address hidden> ]
  * fix LP: #214860 - Spelling Mistake when shutting down/restarting
    - add debian/patches/43_fix_termination_spelling_error.patch
    - update debian/patches/series

  [ Alexander Sack <email address hidden> ]
  * fix LP: #361602 - network manager 0.6 should use 9 or 8 seconds as
    a scan timeout to workaround driver bugs; applying patch from
    Dan Langlois <dan at clockwerk dot net> that reduces scan result
    timeout to 8 seconds
    - add debian/patches/50_lp361602_reduce_scan_timeout.patch
    - update debian/patches/series

 -- Alexander Sack <email address hidden> Wed, 15 Apr 2009 12:15:45 +0200

Changed in network-manager (Ubuntu Hardy):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Patches